Bug 1039268 - png images not displayed
Summary: png images not displayed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Tk
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-07 11:58 UTC by Slaven Rezic
Modified: 2015-06-29 13:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:25:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 87016 0 None None None Never

Description Slaven Rezic 2013-12-07 11:58:31 UTC
Description of problem:

png images cannot be displayed anymore using perl-Tk's Tk::PNG module. This is probably related to https://rt.cpan.org/Public/Bug/Display.html?id=87016

The problem does not appear anymore with a development release of Perl/Tk, e.g.
SREZIC/Tk-804.031_502.tar.gz

Version-Release number of selected component (if applicable):

perl-Tk-804.031-4.fc20.i686


How reproducible:


Steps to Reproduce:
1. Try the following oneliner with a random png image: perl -MTk -MTk::PNG -e '$mw=tkinit;$mw->Label(-image => $mw->Photo(-file => shift))->pack; MainLoop' pngtest.png 
2.
3.

Actual results:
Error message "invalid after png_start_read_image or png_read_update_info at /usr/lib/perl5/vendor_perl/Tk/Image.pm line 21.", no png image is displayed

Expected results:
png image should be visible in a X11 window, like it's the case with fedora 19.

Additional info:

Comment 1 Ade Rixon 2015-04-12 18:56:12 UTC
Confirm this is still an issue in Fedora 21 and causes, for example, Mapivi to fail on start:

> ./mapivi

    Mapivi 0.9.7 - Martin's Picture Viewer and Organizer
    Copyright (C) 2002 - 2008  Martin Herrmann
    Mapivi comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to redistribute
    it under certain conditions.

invalid after png_start_read_image or png_read_update_info at /usr/lib64/perl5/vendor_perl/Tk/Image.pm line 21.

I assume any other Perl::Tk script would be affected similarly.

Patch fix can be found via link posted in description.

Comment 2 Fedora End Of Life 2015-05-29 09:56:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ade Rixon 2015-06-06 11:10:08 UTC
In case anyone requires it, source patch, modified spec file and rebuilt RPMs to fix this issue on F21 are at:
https://drive.google.com/folderview?id=0Bw_7ScVWCoZjWllza3VKUkhoaG8&usp=sharing

Comment 4 Fedora End Of Life 2015-06-29 13:25:57 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.